## GdlDockItemGrip GdlDockItemGrip — A grip for dock widgets. |

## Stability Level

Private, unless otherwise indicated

## Functions

GtkWidget * | gdl_dock_item_grip_new ()
void | gdl_dock_item_grip_set_label ()
void | gdl_dock_item_grip_show_handle ()
void | gdl_dock_item_grip_hide_handle ()

## Properties

GdlDockItem * | item | Write / Construct Only

## Types and Values

struct | GdlDockItemGrip

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GdlDockItemGrip

## Implemented Interfaces

GdlDockItemGrip implements AtkImplementorIface and GtkBuildable.

## Description

This widget contains an area where the user can click to drag the dock item and two buttons. The first button allows to iconify the dock item. The second one allows to close the dock item.

## Functions

### gdl_dock_item_grip_new ()

    GtkWidget *
    gdl_dock_item_grip_new (GdlDockItem *item);

Creates a new GDL dock item grip object.

#### Parameters

item | The dock item that will "own" this grip widget. |

#### Returns

The newly created dock item grip widget.

### gdl_dock_item_grip_set_label ()

    void
    gdl_dock_item_grip_set_label (GdlDockItemGrip *grip,
                                  GtkWidget *label);

Replaces the current label widget with another widget.

#### Parameters

grip | The grip that will get it's label widget set. |
label | The widget that will become the label. |

### gdl_dock_item_grip_show_handle ()

    void
    gdl_dock_item_grip_show_handle (GdlDockItemGrip *grip);

This function shows the dock item's grip widget handle hatching.

#### Parameters

grip | The dock item grip to show the handle of. |

### gdl_dock_item_grip_hide_handle ()

    void
    gdl_dock_item_grip_hide_handle (GdlDockItemGrip *grip);

This function hides the dock item's grip widget handle hatching.

#### Parameters

grip | The dock item grip to hide the handle of. |

## Types and Values

### struct GdlDockItemGrip

    struct GdlDockItemGrip;

## Property Details

### The `“item”` property

      “item”                     GdlDockItem *

Dockitem which 'owns' this grip.

Owner: GdlDockItemGrip

Flags: Write / Construct Only

## See Also

GtlDockItem, GdlDockItemButtonImage